import {
  constant
} from "./chunk-CRY5FFSR.mjs";
import {
  __export
} from "./chunk-QK4PKNB3.mjs";

// src/void.ts
var void_exports = {};
__export(void_exports, {
  Monoid: () => Monoid,
  Semigroup: () => Semigroup
});
var Semigroup = constant(void 0);
var Monoid = {
  concat: Semigroup.concat,
  empty: void 0
};

export {
  Semigroup,
  Monoid,
  void_exports
};
